Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000305Frama-CKernel > configurepublic2009-10-27 16:032014-02-12 16:55
ReporterNikolai_Kosmatov 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Beryllium-20090902 
Target VersionFixed in VersionFrama-C Boron-20100401 
Summary0000305: After ./confugure with --disable-all-staff options, make holds
DescriptionAfter configuring frama-c with the following options

-----------------------
./configure --disable-constant_propagation --disable-from --disable-gui --disable-impact --disable-inout --disable-ltl_to_acsl --disable-metrics --disable-miel --disable-occurrence --disable-pdg --disable-postdominators --disable-scope --disable-security --disable-semantic_callgraph --disable-slicing --disable-sparecode --disable-syntactic_callgraph --disable-users --disable-value --disable-wp
-----------------------

and trying make or make clean, got the following output :

nk@mypc:~/frama-c$ make
Generating src/lib/dynlink_common_interface.ml
Generating src/kernel/config.ml
Generating ptests/ptests_config.ml
Generating share/Makefile.kernel
Generating .depend

hanging with no visible action on .depend for hours.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000503)
signoles (manager)
2009-10-30 19:46

New configure option --with-no-plugin for compiling only the kernel (svn r6725).

- Issue History
Date Modified Username Field Change
2009-10-27 16:03 Nikolai_Kosmatov New Issue
2009-10-27 16:46 signoles Assigned To => signoles
2009-10-27 16:46 signoles Status new => confirmed
2009-10-28 15:39 svn Checkin
2009-10-28 15:39 svn Status confirmed => resolved
2009-10-28 15:39 svn Resolution open => fixed
2009-10-30 19:46 signoles Note Added: 0000503
2010-02-05 09:50 signoles Category Kernel => Kernel > configure
2010-04-13 15:30 signoles Status resolved => new
2010-04-13 15:31 signoles Status new => closed
2010-04-13 15:33 signoles Fixed in Version => Frama-C Boron


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker